#include <CapacitiveSensor.h>
#include <Servo.h> 

int touchedCutoff = 800;
int ledPin = 13;

int ledPinShirt = 9;

Servo myservo;  // create servo object to control a servo 
                // a maximum of eight servo objects can be created 
                
int pos = 0;    // variable to store the servo position 

/* 
* CapitiveSense Library Demo Sketch
* Paul Badger 2008
* Slightly adapted by Bare Conductive 2011 
* Uses a high value resistor e.g. 10 megohm between send pin and receive pin
* Resistor effects sensitivity, experiment with values, 50 kilohm - 50 megohm. Larger resistor values yield larger sensor values.
* Receive pin is the sensor pin - try different amounts of Bare Paint
* Best results are obtained if sensor foil and wire is covered with an insulator such as paper or plastic sheet
*/


CapacitiveSensor   cs_4_2 = CapacitiveSensor(10,5);         // 10 megohm resistor between pins 4 & 2, pin 2 is sensor pin, add Bare Paint
// CapSense   cs_4_5 = CapSense(4,5);          // OPTIONAL: for sensor 2, 10 megohm resistor between pins 4 & 6, pin 6 is sensor pin, add Bare Paint
// CapSense   cs_4_8 = CapSense(4,8);          // OPTIONAL: for sensor 3, 10 megohm resistor between pins 4 & 8, pin 8 is sensor pin, add Bare Paint

void setup()                 
{
  
   myservo.attach(11);  // attaches the servo on pin 9 to the servo object 
  pinMode(ledPin, OUTPUT);
  pinMode(ledPinShirt, OUTPUT);
//  pinMode(ledShirtPin, OUTPUT);
   cs_4_2.set_CS_AutocaL_Millis(0xFFFFFFFF);     // turn off autocalibrate on channel 1 - just as an example   
   Serial.begin(9600);
   
  
}

void loop()                    

{    
long start = millis();    
long total1 =  cs_4_2.capacitiveSensor(30);   
// long total2 =  cs_4_5.capSense(30);     // OPTIONAL for sensor 2   
// long total3 =  cs_4_8.capSense(30);    // OPTIONAL for sensor 3      

// Serial.print(millis() - start);                      // OPTIONAL: check on performance in milliseconds   
// Serial.print(" ");                                     // OPTIONAL: tab character for debug windown spacing

Serial.println(total1);                                // OPTIONAL: To use additional sensors,change Serial.println to Serial.print for proper window spacing    
//Serial.print(" ");                               // OPTIONAL: tab character for window spacing for sensor output 2    
//Serial.print(total2);                           // OPTIONAL: print sensor output 2    
//Serial.print(" ");                               // OPTIONAL: tab character character for sensor output 3    
//Serial.println(total3);                       // print sensor output 3

delay(20);  

 // arbitrary delay to limit data to serial port 
// Serial.println(pos);





if (total1 > touchedCutoff) {
  
   for(pos = 50; pos > 10; pos -= 1)  // goes from 0 degrees to 180 degrees 
  {                                  // in steps of 1 degree 
    myservo.write(pos);              // tell servo to go to position in variable 'pos'
   } 
    delay(15);  
   
    digitalWrite(ledPinShirt, HIGH);
  
  digitalWrite(ledPin, LOW);
delay(150);   
digitalWrite(ledPin, HIGH);
delay(1000);   
digitalWrite(ledPin, LOW);
delay(150);   
digitalWrite(ledPin, HIGH);
delay(1000);
digitalWrite(ledPin, LOW);
delay(150);   
digitalWrite(ledPin, HIGH);
delay(1000);
digitalWrite(ledPin, LOW);
delay(150);   
digitalWrite(ledPin, HIGH);
delay(1000);
digitalWrite(ledPin, LOW);
delay(150);   
//digitalWrite(ledPin, HIGH);
//delay(1000);
//digitalWrite(ledPin, LOW);
// waits 15ms for the servo to reach the position 
  
  for(pos = 10; pos<=50; pos+=1)     // goes from 180 degrees to 0 degrees 
  {                                
    myservo.write(pos);              // tell servo to go to position in variable 'pos' 
    delay(15);                       // waits 15ms for the servo to reach the position 
  } 
    delay(1000); 
    
   digitalWrite(ledPin, LOW);
   
   digitalWrite(ledPinShirt, LOW);

}



else

{
  
   
  
  
}
  
  

}

 

